Bug 200078 - sysutils/mtpfs exited on signal 6 (core dumped)
Summary: sysutils/mtpfs exited on signal 6 (core dumped)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: John Hixson
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2015-05-09 17:08 UTC by jensh604
Modified: 2020-07-02 19:08 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jensh604 2015-05-09 17:08:58 UTC
as root on freebsd-10.1 (in VirtualBox eg not usb 2.0)
mtpfs /mnt
Listing raw device(s)
Device 0 (VID=0fce and PID=0170) is a SONY ST21i Xperia Tipo MTP.
Found 1 device(s):
SONY: ST21i Xperia Tipo MTP (0fce:0170) @ bus 0, dev 2
Attempting to connect device
Android device detected, assigning default bug flags
Listing File Information on Device with name: (NULL)
dmeg (exited on signal 6 (core dumped))
#0 0x00000008025b16ca in thr_kill () from /lib/libc.so.7
#1 0x0000000802686149 in abort () from /lib/libc.so.7
#2 0x000000080139fa80 in g_thread_abort (status=1, function=0x8013fdaed "pthread_mutex_unlock") at gthread-posix.c:80
#3 0x000000080139faba in g_mutex_unlock (mutex=0x80401e7c0) at gthread-posix.c:236
#4 0x000000000040567a in mtpfs_getattr (path=0x80401ec00 "/", stbuf=0x7fffffbfdbf8) at mtpfs.c:919
#5 0x000000080082e475 in fuse_fs_getattr (fs=0x804096300, path=0x80401ec00 "/", buf=0x7fffffbfdbf8) at fuse.c:1596
#6 0x0000000800834b9f in fuse_lib_getattr (req=0x80404e400, ino=1, fi=0x0) at fuse.c:2734
#7 0x000000080083fd94 in do_getattr (req=0x80404e400, nodeid=1, inarg=0x8040eb028) at fuse_lowlevel.c:1044
#8 0x000000080083f3a5 in fuse_ll_process_buf (data=0x804064600, buf=0x7fffffbfdf58, ch=0x804016300) at fuse_lowlevel.c:2441
#9 0x00000008008444a0 in fuse_session_process_buf (se=0x8040632e0, buf=0x7fffffbfdf58, ch=0x804016300) at fuse_session.c:87
#10 0x000000080083c063 in fuse_do_work (data=0x804017cd0) at fuse_loop_mt.c:117
#11 0x00000008023284f5 in pthread_create () from /lib/libthr.so.3
#12 0x0000000000000000 in ?? ()
@jsm222
Markdown supported
Edit in fullscreen
Write Preview

Attach images by dragging & dropping or selecting them.
Comment 1 jensh604 2015-05-09 17:10:33 UTC
also reported here https://github.com/cjd/mtpfs/issues/1
Comment 2 VK freebsd_triage 2016-06-05 01:37:45 UTC
Maintainer feedback timeout.

This PR requires a patch, and the upstream apparently has committed the fix, but has released no updated version since 1.1 that we have in ports. I see no alternative but to keep this open until something happens: a backported patch is provided or the upstream releases new version.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-13 04:37:53 UTC
Is this still relevant or fixed? Github states fixed.
Comment 4 Li-Wen Hsu freebsd_committer 2020-06-17 07:41:06 UTC
Over to maintainer.
Comment 5 John Hixson freebsd_committer 2020-06-17 20:15:49 UTC
It appears this project moved to github a few years ago and there have been some updates. I'll get this port updated soon.
Comment 6 commit-hook freebsd_committer 2020-07-02 17:38:14 UTC
A commit references this bug:

Author: jhixson
Date: Thu Jul  2 17:38:09 UTC 2020
New revision: 541051
URL: https://svnweb.freebsd.org/changeset/ports/541051

Log:
  sysutils/mtpfs: update to use github

  PR:	200078
  Reported by:	jensh604@gmail.com

Changes:
  head/sysutils/mtpfs/Makefile
  head/sysutils/mtpfs/distinfo
  head/sysutils/mtpfs/files/patch-Makefile.am
  head/sysutils/mtpfs/files/patch-Makefile.in
  head/sysutils/mtpfs/files/patch-mtpfs.c
  head/sysutils/mtpfs/files/patch-mtpfs.h
Comment 7 John Hixson freebsd_committer 2020-07-02 19:08:20 UTC
I've updated the port to use github, which has the fix.